language: php

php:
  - 5.6
  - 7.0

sudo: false

cache:
  directories:
    - .phpunit
    - $HOME/.composer/cache/files

env:
  matrix:
    - SYMFONY_VERSION=3.2.*
  global:
    - SYMFONY_DEPRECATIONS_HELPER=4
    - SYMFONY_PHPUNIT_REMOVE="symfony/yaml" SYMFONY_PHPUNIT_DIR="./.phpunit" SYMFONY_PHPUNIT_VERSION=5.7

matrix:
  include:
    - php: 7.1
      env: DEPS=dev SYMFONY_VERSION=3.3.*
    - php: 5.6
      # phpcr/phpcr 2.1.2 requirement is needed to not confuse Composer
      env: COMPOSER_FLAGS="--prefer-lowest" SYMFONY_DEPRECATIONS_HELPER=weak SYMFONY_VERSION="2.8.* phpcr/phpcr:2.1.2"
    - php: 7.1
      env: SYMFONY_VERSION=3.1.*
    - php: hhvm
      dist: trusty
  fast_finish: true

before_install:
  - if [[ "$TRAVIS_PHP_VERSION" != "hhvm" ]]; then echo "memory_limit = -1" >> ~/.phpenv/versions/$(phpenv version-name)/etc/conf.d/travis.ini; fi
  - phpenv config-rm xdebug.ini || true
  - composer self-update
  - if [ "$DEPS" = "dev" ]; then perl -pi -e 's/^}$/,"minimum-stability":"dev"}/' composer.json; fi
  - if [ "$SYMFONY_VERSION" != "" ]; then composer require symfony/symfony:${SYMFONY_VERSION} --no-update; fi

install: composer update --prefer-dist $COMPOSER_FLAGS

before_script: vendor/symfony-cmf/testing/bin/travis/phpcr_odm_doctrine_dbal.sh

script: vendor/bin/simple-phpunit

notifications:
  irc: "irc.freenode.org#symfony-cmf"
